Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:2.4.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 19778

Description

When I try to import into GRASS a .shp file that I have just created over some Geomatics Lidar data (asc file,

as soon as I select v.in.ogr.qgis this error occurs see below...

Cannot start module v.in.ogr

PATH=C:/PROGRA~1/QGISCH~1/apps/grass/GRASS-~1.4/bin;C:/PROGRA~1/QGISCH~1/apps/grass/GRASS-~1.4/scripts;C:/PROGRA~1/QGISCH~1/apps/qgis/./

ROGRA~1/QGISCH~1/apps/qgis/./grass/scripts/;C:/PROGRA~1/QGISCH~1/bin;C:\\PROGRA~1\\QGISCH~1\\apps\\qgis\\bin;C:\\PROGRA~1\\QGISCH~1\\apps\\grass\\grass-6.4.4\\lib;C:\\PROGRA~1\\QGISCH~1\\apps\\grass\\grass-6.4.4\\bin;C:\\PROGRA~1\\QGISCH~1\\apps\\m

\PROGRA~1\\QGISCH~1\\apps\\grass\\grass-6.4.4\\lib;C:\\PROGRA~1\\QGISCH~1\\apps\\grass\\grass-6.4.4\\bin;C:\\PROGRA~1\\QGISCH~1\\apps\\msys\\bin;C:\\PROGRA~1\\QGISCH~1\\bin;C:\\Windows\\system32;C:\\Windows;C:\\Windows\\WBem;C:\\PROGRA~1\\QGISCH~1\\apps\\msys\\bin;C:\\PROGRA~1\\QGISCH~1\\apps\\Python27\\Scripts
QGIS_PREFIX_PATH=C:/PROGRA~1/QGISCH~1/apps/qgis
com

1\\QGISCH~1\\apps\\msys\\bin;C:\\PROGRA~1\\QGISCH~1\\bin;C:\\Windows\\system32;C:\\Windows;C:\\Windows\\WBem;C:\\PROGRA~1\\QGISCH~1\\apps\\msys\\bin;C:\\PROGRA~1\\QGISCH~1\\apps\\Python27\\Scripts
QGIS_PREFIX_PATH=C:/PROGRA~1/QGISCH~1/apps/qgis
command: C:/PROGRA~1/QGISCH~1/apps/grass/GRASS-~1.4/bin/v.in.ogr.exe --interface-description


ROGRA~1\\QGISCH~1\\apps\\msys\\bin;C:\\PROGRA~1\\QGISCH~1\\apps\\Python27\\Scripts

QGIS_PREFIX_PATH=C:/PROGRA~1/QGISCH~1/apps/qgis

command: C:/PROGRA~1/QGISCH~1/apps/grass/GRASS-~1.4/bin/v.in.ogr.exe --interface-description

Thanks for looking at this for me. My PC is a desktop Windows 7 machine with multiple hard drives with gis and data on the C: drive.

Stephen

History

#1 - 2014-10-28 01:12 PM - Jürgen Fischer

- Category set to GRASS

- Subject changed from PATH ISSUE to path issue

#2 - 2016-02-22 11:20 AM - Radim Blazek

- Status changed from Open to Feedback

It looks like broken GRASS installation. Please check if v.in.ogr.exe exists and can be started from GRASS shell.

#3 - 2016-02-22 11:23 AM - Radim Blazek

- Subject changed from path issue to Cannot start module v.in.ogr

- Operating System set to Windows

#4 - 2016-03-17 09:08 AM - Radim Blazek

- Resolution set to worksforme

- Status changed from Feedback to Closed
Closing for no feedback, please reopen if necessary.
